<template>
  <div>
    <el-select
      v-model="guide"
      style="width: 150px"
      filterable
      placeholder="请选择引导员">
      <el-option
        v-for="item in guideOptions"
        :key="item.value"
        :label="item.label"
        :value="item.value" />
    </el-select>
  </div>
</template>

<script lang="ts" setup>
import request from "@/lib/request";
import { ref } from "vue";

let guide = defineModel({ default: "" });
const guideOptions = ref<guideOption[]>([]);

request()
  .get("public/guide")
  .then((res) => {
    guideOptions.value = res.data;
  });
</script>
<style lang="scss" scoped></style>
